# Made with Framer
# by Annecelebi
# www.framerjs.com

# Build Interface
_1 = new Layer
	width: 2048
	height: 1536
	image: "images/home.png"

menu = new Layer
	width: 140, 
	height: 140
	backgroundColor: "none"

blackLayer = new Layer
	width: 2048
	height: 1536
	opacity: 0
	backgroundColor: "#000"

blackLayer.states.add
		open:
			opacity: 0.55

leftMenu = new Layer
	x: -1600
	y: 0
	width: 1600, 
	height: 1536
	scale: 1, 
	opacity: 1
	image: "images/leftMenu.png"
	borderRadius: 1000

leftMenu.states.add
		open:
			scale: 1, x: -1000
		resetBorder:
			borderRadius: 0

productSearch = new Layer
	x: -600
	opacity: 0
	width: 600
	height: 118
	image: "images/productSearch.png"

productSearch.states.add
		open:
			x: 0, opacity: 1

audio = new Layer
	x: -600
	y: 195
	opacity: 0
	width: 533
	height: 119
	scale: 0
	image: "images/audio.png"

audio.states.add
		open:
			x: 67, opacity: 1, scale: 1

computers = new Layer
	x: -600
	y: 315
	opacity: 0
	width: 533
	height: 150
	scale: 0
	image: "images/computers.png"

computers.states.add
		open:
			x: 67, opacity: 1, scale: 1

cleaning = new Layer
	x: -600
	y: 465
	opacity: 0
	width: 533
	height: 158
	scale: 0
	image: "images/cleaning.png"

cleaning.states.add
		open:
			x: 67, opacity: 1, scale: 1

consoles = new Layer
	x: -600
	y: 622
	opacity: 0
	width: 533
	height: 151
	scale: 0
	image: "images/consoles.png"

consoles.states.add
		open:
			x: 67, opacity: 1, scale: 1

health = new Layer
	x: -600
	y: 775
	opacity: 0
	width: 533
	height: 156
	scale: 0
	image: "images/health.png"

health.states.add
		open:
			x: 67, opacity: 1, scale: 1

phones = new Layer
	x: -600
	y: 932
	opacity: 0
	scale: 0
	width: 533
	height: 152
	image: "images/phones.png"

phones.states.add
		open:
			x: 67, opacity: 1, scale: 1

friday = new Layer
	x: -600
	y: 1083
	opacity: 0
	scale: 0
	width: 533
	height: 116
	image: "images/friday.png"

friday.states.add
		open:
			x: 67, opacity: 1, scale: 1

logo = new Layer
	x: 85
	y: 1322
	width: 188
	height: 108
	image: "images/logo.png"
	opacity: 0
	scale: 0

logo.states.add
		open:
			scale: 1, opacity: 1

menu.on Events.Click, ->
	leftMenu.states.switch("open", curve: "spring(700, 14, 0)", delay: 0.2)
	leftMenu.states.switch("resetBorder", curve: "spring(190, 20, 0)", delay: 0.2)
	logo.states.switch("open", curve: "spring(180, 25, 0)", delay: 0.2)
	productSearch.states.switch("open", curve: "spring(166, 25, 0)", delay: 0.3)
	audio.states.switch("open", curve: "spring(155, 25, 0)", delay: 0.2)
	computers.states.switch("open", curve: "spring(180, 25, 0)", delay: 0.2)
	cleaning.states.switch("open", curve: "spring(180, 25, 0)", delay: 0.2)
	consoles.states.switch("open", curve: "spring(180, 25, 0)", delay: 0.2)
	health.states.switch("open", curve: "spring(180, 25, 0)", delay: 0.2)
	phones.states.switch("open", curve: "spring(180, 25, 0)", delay: 0.2)
	friday.states.switch("open", curve: "spring(180, 25, 0)", delay: 0.2)
	blackLayer.states.switch("open", curve: "spring(700, 20, 0)", delay: 0.1)

